# This is custom XFree86(-4) config for kikai.

# See 'man XF86Config' for info on the format of this file



Section "ServerLayout"
	Identifier	"kikai"
#	Screen		"ATI X.org 445Xpro"	0	0
	Screen		"nVidia X.org 445Xpro"	0	0
	InputDevice	"KeyTronic"	"CoreKeyboard"
	InputDevice	"Logitech"	"CorePointer"
#	InputDevice	"WinTrack"
#	InputDevice	"LIRC"
EndSection



Section "Files"
	RgbPath	"/usr/X11R6/lib/X11/rgb"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc:unscaled"
#	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
#	FontPath	"/usr/X11R6/lib/X11/fonts/Speedo"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
#	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
EndSection



Section "Module"
#	Load	"v4l"			# causes crashing

	# General goodies
	Load	"dbe"			# double buffer extension

	# Fonts
	Load	"type1"			# Type1 font module
	Load	"freetype"		# FreeType font module

	# Hardware (3D-)acceleration
	# fglrx and nvidia want glx
	Load	"glx"			# GLX module (for DRI, libglx.a)

	# fglrx wants dri, nvidia doesn't
#	Load	"dri"			# DRI module (for DRI, libdri.a)

	# Enable acceleration
	# fglrx nor nvidia want GLcore
#	Load	"GLcore"		# OpenGL module
#	Load	"extmod"		# DGA and Xv

	# This loads the miscellaneous extensions module, and disables
	# initialisation of the XFree86-DGA extension within that module.
	SubSection	"extmod"
		Option	"omit XFree86-DGA"	# don't init. the DGA ext.
#		Option	"XFree86-DGA"	# don't init. the DGA ext.
	EndSubSection


	# VESA BIOS extensions
#	Load	"dbe"
#	Load	"ddc"

	# can I do without these ?
#	Load	"record"		# server testing
#	Load	"xie"			# obsolete (X Image Extension)
#	Load	"pex5"			# obsolete (PEX5)
EndSection



# enable DRI for all users

Section "DRI"
	Group	"video"
	Mode	0660
EndSection



Section "ServerFlags"
	Option	"BlankTime"		"8"
	Option	"StandbyTime"		"10"
	Option	"SuspendTime"		"12"
	Option	"OffTime"		"12"

	Option	"DontVTSwitch"		"false"
	Option	"DontZap"		"false"
	Option	"DontZoom"		"false"
	Option	"AllowDeactivateGrabs"	"true"
EndSection



Section "InputDevice"
	Identifier	"KeyTronic"
	Driver	"kbd"
	Option	"AutoRepeat"	"350 25"
	Option	"XkbRules"	"xorg"
	Option	"XkbModel"	"pc105"
	Option	"XkbLayout"	"fi"
EndSection



Section "InputDevice"
	Identifier	"Logitech"
	Driver	"mouse"
#	Option	"Protocol"	"ImPS/2"
	Option	"Protocol"	"ExplorerPS/2"
	Option	"Device"	"/dev/input/mice"
	Option	"Resolution"	"400"
	Option	"Buttons"	"7"
	Option	"ZAxisMapping"	"6 7"
	Option	"AlwaysCore"	"true"
EndSection



Section "InputDevice"
	Identifier	"WinTrack"
	Driver	"mouse"
	Option	"DeviceName"	"trackball"
	Option	"Protocol"	"Microsoft"
	Option	"Device"	"/dev/ttyS0"
#	Option	"BaudRate"	"1200"
#	Option	"Resolution"	"300"
	Option	"Buttons"	"3"
EndSection



Section "InputDevice"
	Identifier	"LIRC"
	Driver	"mouse"
	Option	"DeviceName"	"remote"
	Option	"Protocol"	"MouseSystems"
	Option	"Device"	"/dev/gpmdata"
	Option	"Resolution"	"300"
	Option	"Buttons"	"5"
EndSection



Section "Monitor"
	Identifier	"Nokia 445Xpro"
	VendorName	"Nokia"
	ModelName	"445Xpro"
	HorizSync	30-125
	VertRefresh	50-150

	Modeline	"1600x1200"	229.50	1600 1724 1916 2100	1200 1201 1204 1246	+hsync +vsync
#	Modeline	"1600x1200"	229.50	1600 1696 1888 2100	1200 1201 1204 1246	+hsync +vsync
	Modeline	"640x480"	74.25	640 684 764 840		480 484 486 501		+hsync +vsync doublescan
	
	
#	Modeline	"1600x1200"	229.50	1600 1604 1796 2112	1200 1201 1204 1242	+hsync +vsync
#	Modeline	"640x480"	74.25	640 644 724 852		480 480 482 485		+hsync +vsync doublescan
	Option		"DPMS"
EndSection



Section "Device"
	Identifier	"nVidia Geforce 7800GT"
	VendorName	"Gainward"
	BoardName	"nVidia Geforce 7800GT"
	Driver		"nvidia"

	Option		"NoLogo"		"true"
	Option		"CursorShadow"		"true"
	Option		"CursorShadowAlpha"	"32"
	Option		"Coolbits"		"1"
	Option		"AllowGLXWithComposite"	"true"
	
	BusID	"PCI:1:0:0"    # vendor=1002, device=4e48
	Screen 0
EndSection



Section "Device"
	Identifier	"ATI Radeon 9800 Pro"
	VendorName	"Club3D"
	BoardName	"Radeon 9800 Pro"
	Driver		"fglrx"
	
	# ### generic DRI settings ###
	# === disable PnP Monitor  ===
	#Option "NoDDC"
	
	# === disable/enable XAA/DRI ===
	Option	"no_accel"	"no"
	Option	"no_dri"	"no"
	
	# === misc DRI settings ===
	Option	"mtrr"		"off"
	# disable DRI mtrr mapper, driver has its own code for mtrr
	
	# ### FireGL DDX driver module specific settings ###
	# === Screen Management ===
	Option	"DesktopSetup"		"(null)" 
	Option	"ScreenOverlap"		"0" 
	Option	"GammaCorrectionI"	"0x00000000"
	Option	"GammaCorrectionII"	"0x00000000"
	
	# === OpenGL specific profiles/settings ===
	Option	"Capabilities"		"0x00000000"
	Option	"CapabilitiesEx"	"0x00000000"
	
	# === Video Overlay for the Xv extension ===
	Option	"VideoOverlay"		"on"
	
	# === OpenGL Overlay ===
	# Note: When OpenGL Overlay is enabled, Video Overlay
	#       will be disabled automatically
	Option	"OpenGLOverlay"		"off"
	
	# === Center Mode (Laptops only) ===
	Option	"CenterMode"		"off"
	
	# === Pseudo Color Visuals (8-bit visuals) ===
	Option	"PseudoColorVisuals"	"off"

	# === QBS Management ===
	Option	"Stereo"		"off"
	Option	"StereoSyncEnable"	"1"
	
	# === FSAA Management ===
	Option	"FSAAEnable"		"no"
	Option	"FSAAScale"		"1"
	Option	"FSAADisableGamma"	"no"
	Option	"FSAACustomizeMSPos"	"no"
	Option	"FSAAMSPosX0"		"0.000000"
	Option	"FSAAMSPosY0"		"0.000000"
	Option	"FSAAMSPosX1"		"0.000000"
	Option	"FSAAMSPosY1"		"0.000000"
	Option	"FSAAMSPosX2"		"0.000000"
	Option	"FSAAMSPosY2"		"0.000000"
	Option	"FSAAMSPosX3"		"0.000000"
	Option	"FSAAMSPosY3"		"0.000000"
	Option	"FSAAMSPosX4"		"0.000000"
	Option	"FSAAMSPosY4"		"0.000000"
	Option	"FSAAMSPosX5"		"0.000000"
	Option	"FSAAMSPosY5"		"0.000000"
	
	# === Misc Options ===
	Option	"UseFastTLS"		"0"
	Option	"BlockSignalsOnLock"	"on"
	Option	"UseInternalAGPGART"	"no"
	Option	"ForceGenericCPU"	"no"
	
	BusID	"PCI:1:0:0"    # vendor=1002, device=4e48
	Screen 0
EndSection



Section "Device"
	Identifier	"ATI Radeon 9800 Pro (second)"
	VendorName	"Club3D"
	BoardName	"Radeon 9800 Pro"
	Driver		"fglrx"
	
	# ### generic DRI settings ###
	# === disable PnP Monitor  ===
	#Option "NoDDC"
	
	# === disable/enable XAA/DRI ===
	Option	"no_accel"	"no"
	Option	"no_dri"	"no"
	
	# === misc DRI settings ===
	Option	"mtrr"		"off"
	# disable DRI mtrr mapper, driver has its own code for mtrr
	
	# ### FireGL DDX driver module specific settings ###
	# === Screen Management ===
	Option	"DesktopSetup"		"(null)" 
	Option	"ScreenOverlap"		"0" 
	Option	"GammaCorrectionI"	"0x00000000"
	Option	"GammaCorrectionII"	"0x00000000"
	
	# === OpenGL specific profiles/settings ===
	Option	"Capabilities"		"0x00000000"
	Option	"CapabilitiesEx"	"0x00000000"
	
	# === Video Overlay for the Xv extension ===
	Option	"VideoOverlay"		"on"
	
	# === OpenGL Overlay ===
	# Note: When OpenGL Overlay is enabled, Video Overlay
	#       will be disabled automatically
	Option	"OpenGLOverlay"		"off"
	
	# === Center Mode (Laptops only) ===
	Option	"CenterMode"		"off"
	
	# === Pseudo Color Visuals (8-bit visuals) ===
	Option	"PseudoColorVisuals"	"off"

	# === QBS Management ===
	Option	"Stereo"		"off"
	Option	"StereoSyncEnable"	"1"
	
	# === FSAA Management ===
	Option	"FSAAEnable"		"no"
	Option	"FSAAScale"		"1"
	Option	"FSAADisableGamma"	"no"
	Option	"FSAACustomizeMSPos"	"no"
	Option	"FSAAMSPosX0"		"0.000000"
	Option	"FSAAMSPosY0"		"0.000000"
	Option	"FSAAMSPosX1"		"0.000000"
	Option	"FSAAMSPosY1"		"0.000000"
	Option	"FSAAMSPosX2"		"0.000000"
	Option	"FSAAMSPosY2"		"0.000000"
	Option	"FSAAMSPosX3"		"0.000000"
	Option	"FSAAMSPosY3"		"0.000000"
	Option	"FSAAMSPosX4"		"0.000000"
	Option	"FSAAMSPosY4"		"0.000000"
	Option	"FSAAMSPosX5"		"0.000000"
	Option	"FSAAMSPosY5"		"0.000000"
	
	# === Misc Options ===
	Option	"UseFastTLS"		"0"
	Option	"BlockSignalsOnLock"	"on"
	Option	"UseInternalAGPGART"	"no"
	Option	"ForceGenericCPU"	"no"
	
	BusID	"PCI:1:0:1"		# vendor=1002, device=4e48
	Screen 1
EndSection



Section "Device"
	Identifier	"3Dfx Voodoo3 5500"
	VendorName	"3Dfx Interactive"
	BoardName	"Voodoo3 5500"
	Driver		"tdfx"
#	BusID		"PCI:1:5:0"
	VideoRam	65536
	Option		"AGPMode"	"2"
	Option		"UseFBDev"	"true"
EndSection



Section "Screen"
	Identifier	"3Dfx 445Xpro"
	Device	"3Dfx Voodoo3 5500"
	Monitor	"Nokia 445Xpro"
	DefaultColorDepth	24
	SubSection "Display"
		Depth	32
		Modes	"1024x768" "800x600" "640x480"
		ViewPort	0 0
	EndSubSection
	SubSection "Display"
		Depth	24
		Modes	"1600x1200" "1280x1024" "1024x768" "800x600" "640x480" "320x200"
		ViewPort	0 0
	EndSubSection
	SubSection "Display"
		Depth	16
		Modes	"1024x768" "800x600" "640x480"
		ViewPort	0 0
	EndSubSection
EndSection



Section "Screen"
	Identifier	"ATI 445Xpro"
	Device	"ATI Radeon 9800 Pro"
	Monitor	"Nokia 445Xpro"
	DefaultColorDepth	24
	SubSection "Display"
		Depth	24
		Modes	"1600x1200" "1280x1024" "1024x768" "800x600" "640x480" "320x200"
#		ViewPort	0 0
	EndSubSection
#	SubSection "Display"
#		Depth	16
#		Modes	"1600x1200" "1280x1024" "1024x768" "800x600" "640x480" "320x200"
#		ViewPort	0 0
#	EndSubSection
EndSection



Section "Screen"
	Identifier		"nVidia X.org 445Xpro"
	Device			"nVidia Geforce 7800GT"
	Monitor			"Nokia 445Xpro"
	DefaultColorDepth	24
	SubSection "Display"
		Depth	24
		Modes	"1600x1200" "1400x1050" "1280x1024" "1024x768" "800x600" "640x480" "320x200"
		ViewPort	0 0
	EndSubSection
EndSection
	



Section "Screen"
	Identifier		"ATI X.org 445Xpro"
	Device			"ATI Radeon 9800 Pro"
	Monitor			"Nokia 445Xpro"
	DefaultColorDepth	24
	SubSection "Display"
		Depth	24
		Modes	"1600x1200" "1400x1050" "1280x1024" "1024x768" "800x600" "640x480" "320x200"
		ViewPort	0 0
	EndSubSection
EndSection


Section "Extensions"
	Option	"Composite"	"Enable"
	Option	"DAMAGE"	"Enable"
EndSection
